php/phpmyadmin : Headers and client library minor version mismatch

recently i updated my phpmyadmin to latest version and also installed mariadb now am getting warning whenever i login to phpmyadmin or connect to database with php

 mysqli_real_connect(): Headers and client library minor version mismatch. Headers:50550 Library:100119 

so how to remove this warning

Supporter Asked on December 1, 2016 in Software.
Add Comment
1 Answer(s)
Best answer

this version mismatch warning actually mean that your existing php version was compiled with mysql another version and now currently installed version is different , anyway to fix this just install mysqlnd driver

 

apt-get install php5-mysqlnd   # for Debian ubuntu etc
yum install php5-mysqlnd   # for CentOS
 

during installation it may ask you to remove php5-mysql package so press Y to remove it

when mysqlnd driver is installed then restart php and mysql services

 

service apache2 restart
service mysql restart

 

 or
 
/etc/init.d/apache2 restart
/etc/init.d/mysql restart
Supporter Answered on December 1, 2016.
Add Comment

Your Answer

By posting your answer, you agree to the privacy policy and terms of service.